FreeMat

- Main Page
- Related Pages

vtkTDxInteractorStyle

Section: Visualization Toolkit Rendering Classes

# Usage

vtkTDxInteractorStyle is an abstract class defining an event-driven interface to support 3DConnexion device events send by vtkRenderWindowInteractor. vtkRenderWindowInteractor forwards events in a platform independent form to vtkInteractorStyle which can then delegate some processing to vtkTDxInteractorStyle.

To create an instance of class vtkTDxInteractorStyle, simply invoke its constructor as follows

      obj = vtkTDxInteractorStyle

# Methods

The class vtkTDxInteractorStyle has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTDxInteractorStyle class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTDxInteractorStyle = obj.NewInstance ()`
- `vtkTDxInteractorStyle = obj.SafeDownCast (vtkObject o)`
- `vtkTDxInteractorStyleSettings = obj.GetSettings ()` - 3Dconnexion device settings. (sensitivity, individual axis filters). Initial object is not null.
- `obj.SetSettings (vtkTDxInteractorStyleSettings settings)` - 3Dconnexion device settings. (sensitivity, individual axis filters). Initial object is not null.